Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033774
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminorhave not tried2016-08-23 17:572016-08-31 10:33
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revisionaf6e72d059cd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033774: Accidental double queries in Initial Org Setup

DescriptionRunning initial org setup with some accounting schema module installed (and used in the setup) runs some double query
Steps To Reproducewith debugging code from: https://issues.openbravo.com/view.php?id=33767 [^]
Install some accounting schema module (i.e. france)
In initial Org setup use:
- currency: eur
- mark the installed accounting schema
and create an organization.

see debugging output shown during the process
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0033767 closedplatform Add code to auto-detect 'accidental double query' on same OBQuery or OBCriteria object 
related to design defect 0036898 newTriage Finance Performance issues when using DAL 

-  Notes
(0089341)
hgbot (developer)
2016-08-24 14:11

Repository: erp/devel/pi
Changeset: af6e72d059cd2fd7bafd60538bcc14ccba6648e3
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Tue Aug 23 17:58:45 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/af6e72d059cd2fd7bafd60538bcc14ccba6648e3 [^]

Fixed 33774. Fixed accidental double query by not calling .list() twice

---
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
---
(0089343)
hgbot (developer)
2016-08-24 14:12

Repository: erp/devel/pi
Changeset: a8163cc557bbfe154a5c2e94c30e1c618a8a2b69
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Wed Aug 24 13:54:17 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a8163cc557bbfe154a5c2e94c30e1c618a8a2b69 [^]

Issue 33774. Apply review feedback, change .size() > 0 to !isEmpty()

---
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
---
(0089368)
hudsonbot (developer)
2016-08-24 22:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/badbe5df5566 [^]
Maturity status: Test
(0089584)
aferraz (developer)
2016-08-31 10:33

Code review OK

- Issue History
Date Modified Username Field Change
2016-08-23 17:57 shuehner New Issue
2016-08-23 17:57 shuehner Assigned To => Triage Finance
2016-08-23 17:57 shuehner Modules => Core
2016-08-23 17:57 shuehner Triggers an Emergency Pack => No
2016-08-23 17:57 shuehner Tag Attached: page data grid
2016-08-23 17:57 shuehner Tag Attached: Performance
2016-08-23 17:57 shuehner Relationship added related to 0033767
2016-08-23 22:00 shuehner Tag Detached: page data grid
2016-08-24 14:11 hgbot Checkin
2016-08-24 14:11 hgbot Note Added: 0089341
2016-08-24 14:11 hgbot Status new => resolved
2016-08-24 14:11 hgbot Resolution open => fixed
2016-08-24 14:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/af6e72d059cd2fd7bafd60538bcc14ccba6648e3 [^]
2016-08-24 14:12 hgbot Checkin
2016-08-24 14:12 hgbot Note Added: 0089343
2016-08-24 14:13 shuehner Review Assigned To => aferraz
2016-08-24 14:59 shuehner Assigned To Triage Finance => shuehner
2016-08-24 22:47 hudsonbot Checkin
2016-08-24 22:47 hudsonbot Note Added: 0089368
2016-08-31 10:33 aferraz Note Added: 0089584
2016-08-31 10:33 aferraz Status resolved => closed
2016-08-31 10:33 aferraz Fixed in Version => 3.0PR16Q4
2017-09-19 18:47 markmm82 Relationship added related to 0036898


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker